Page MenuHomePhabricator

Replace GeoHack with Kartographer
Closed, DeclinedPublic

Description

Currently, GeoHack is used on all pages with coordinates in production WIkipedia projects, but it is a volunteer labs project.

This is because GeoHack performs important functionality. In general, these are links to other Maps services or other services that display their data in a geographic context.

As Kartographer has improved the feature gap between GeoHack and Kartographer has been closed significantly. The WMF should "prodcutionize" the important GeoHack features in Kartographer and properly support them going forward.

These steps should be taken to complete this task are:

  • Perform an IA audit of GeoHack and Kartographer
  • Discuss features with Community to to ensure nothing important is missed
  • Update Kartographer design to add these missing features
  • Implement any important missing features in Kartographer
  • Update templates that point at GeoHack and instead link them to Kartographer (involves Community involvement)

See these examples:
https://en.wikipedia.org/wiki/Colorado_National_Monument#/maplink/0
https://tools.wmflabs.org/geohack/geohack.php?pagename=Colorado_National_Monument&params=39_02_33_N_108_41_10_W_region:US_type:landmark_dim:9km

Event Timeline

Restricted Application added subscribers: Pginer-WMF, Aklapper. · View Herald TranscriptFeb 21 2018, 2:25 PM
Pnorman added subscribers: CKoerner_WMF, Pnorman.

@CKoerner_WMF We think the main elements here are community aspects, rather than any technical things

CKoerner_WMF closed this task as Declined.Jun 26 2018, 7:29 PM

The description lists:

Update Kartographer design to add these missing features
Implement any important missing features in Kartographer

Since neither of those are on the table for now I'm going to decline this task for now. Communities are welcome to adapt Kartographer as it exists in it's current form if they choose to. This includes integrating/replacing GeoHack or similar tools. If feature development is picked up then we can approach this task again and evaluate Kartogpaher as a replacement.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptOct 30 2018, 4:08 AM
putnik added a subscriber: putnik.Oct 30 2018, 9:09 AM
mxn added a subscriber: mxn.Nov 10 2018, 10:18 PM